Notification Conditions
GET/partner/notification/:user_code/security_notification/setting
Retrieves the security notification condition settings for the group. Returns configured data per notification type, or default data with type names if no settings exist.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200Security notification condition settings retrieved successfully
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": [
{
"security_notification_type": "waf",
"group_security_notification_setting_idx": 1,
"parent_user_code": "DEMO-USR-001",
"is_active": "Y",
"criteria_time_minute": 10,
"criteria_request_threshold": 100,
"group_security_notification_channel_list": [
{
"group_security_notification_channel_idx": 1,
"webhook_service_type_idx": 304,
"webhook_service_type": "slack",
"is_active": "N"
}
]
}
]
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | array |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |